/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/***************************************************************************
 *            miav_daemon.h
 *
 *  Thu Jun  9 11:14:19 CEST 2005
 *  Copyright  2005 Bent Bisballe
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *  This file is part of MIaV.
 *
 *  MIaV is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  MIaV is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with MIaV; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */

/*
 * $Id: miav_daemon.h,v 1.1 2005/06/09 11:00:03 deva Exp $
 */

/*
 * $Log: miav_daemon.h,v $
 * Revision 1.1  2005/06/09 11:00:03  deva
 * Added daemon code, and cleaned up using -Wall and -Werror
 *
 */

#include <config.h>
#ifndef __MIAV_MIAV_DAEMON_H__
#define __MIAV_MIAV_DAEMON_H__

#include "daemon.h"

class MiavDaemon: public Daemon {
public:
  MiavDaemon();
  ~MiavDaemon();
  
private:
  int daemon_main();
};

#endif/*__MIAV_MIAV_DAEMON_H__*/
